- Main Page
- Classes
- Files

- Namespace Members

Classes | Enumerations
SignOn Namespace Reference

Error codes for ui interaction. More...

## Classes
class | UiSessionData
| Data container to hold values for authentication session. More...
class | BlobIOHandler

## Enumerations
enum | QueryError { QUERY_ERROR_NONE = 0, QUERY_ERROR_GENERAL, QUERY_ERROR_NO_SIGNONUI, QUERY_ERROR_BAD_PARAMETERS, QUERY_ERROR_CANCELED, QUERY_ERROR_NOT_AVAILABLE, QUERY_ERROR_BAD_URL, QUERY_ERROR_BAD_CAPTCHA, QUERY_ERROR_BAD_CAPTCHA_URL, QUERY_ERROR_REFRESH_FAILED, QUERY_ERROR_FORBIDDEN, QUERY_ERROR_FORGOT_PASSWORD }
enum | QueryMessageId { QUERY_MESSAGE_EMPTY = 0, QUERY_MESSAGE_LOGIN, QUERY_MESSAGE_NOT_AUTHORIZED }
| Predefined messages to be shown to user while querying input. More...

## Detailed Description

Error codes for ui interaction.

Copyright
  Copyright (C) 2009-2011 Nokia Corporation. LGPL

## Enumeration Type Documentation

enum SignOn::QueryError

Enumerator
QUERY_ERROR_NONE | No errors.
QUERY_ERROR_GENERAL | Generic error during interaction.
QUERY_ERROR_NO_SIGNONUI | Cannot send request to signon-ui.
QUERY_ERROR_BAD_PARAMETERS | Signon-Ui cannot create dialog based on the given UiSessionData.
QUERY_ERROR_CANCELED | User canceled action. Plugin should not retry automatically after this.
QUERY_ERROR_NOT_AVAILABLE | Requested ui is not available. For example browser cannot be started.
QUERY_ERROR_BAD_URL | Given url was not valid.
QUERY_ERROR_BAD_CAPTCHA | Given captcha image was not valid.
QUERY_ERROR_BAD_CAPTCHA_URL | Given url for capctha loading was not valid.
QUERY_ERROR_REFRESH_FAILED | Refresh failed.
QUERY_ERROR_FORBIDDEN | Showing ui forbidden by ui policy.
QUERY_ERROR_FORGOT_PASSWORD | User pressed forgot password.

Definition at line 37 of file uisessiondata.h.

enum SignOn::QueryMessageId

Predefined messages to be shown to user while querying input.

Enumerator
QUERY_MESSAGE_EMPTY | No predefined message.
QUERY_MESSAGE_LOGIN | Login without prior errors.
QUERY_MESSAGE_NOT_AUTHORIZED | Authentication failed.

Definition at line 60 of file uisessiondata.h.